Skip to main content
`Ctrl`+`K`

# numpy.ma.atleast_2d

ma.atleast_2d(*arys)

  View inputs as arrays with at least two dimensions.

  Parameters:
    arys1, arys2, …array_like

      One or more array-like sequences. Non-array inputs are converted to arrays. Arrays that already have two or more dimensions are preserved.

  Returns:
    res, res2, …ndarray

      An array, or tuple of arrays, each with `a.ndim >= 2`. Copies are avoided where possible, and views with two or more dimensions are returned.

  See also

  `atleast_1d`, `atleast_3d`

  Notes

  The function is applied to both the `_data` and the `_mask`, if any.

  Examples

      >>> import numpy as np
      >>> np.atleast_2d(3.0)
      array([[3.]])

      >>> x = np.arange(3.0)
      >>> np.atleast_2d(x)
      array([[0., 1., 2.]])
      >>> np.atleast_2d(x).base is x
      True

      >>> np.atleast_2d(1, [1, 2], [[1, 2]])
      (array([[1]]), array([[1, 2]]), array([[1, 2]]))